//   AutoCAD 2007:
// ..,  05\Book16\Splash16.cpp
//   "AutoCAD:  ,   "
// ( "-", 2006)
//
#include "StdAfx.h"
#include "Splash16.h"

using namespace System::Drawing;
using namespace System::Windows::Forms;
using namespace Autodesk::AutoCAD::ApplicationServices;

void splash16()
{
	Wform16* pwf = new Wform16();
	Autodesk::AutoCAD::ApplicationServices::Application::
		ShowModelessDialog(pwf);
}

Wform16::Wform16()
{
	//   
	Size = System::Drawing::Size(370, 300);
	StartPosition = FormStartPosition::Manual;
	Location = Point(300, 150);
	BackColor = Color::Aquamarine;
	Opacity = 0.5;
	FormBorderStyle = FormBorderStyle::None;

	// 
	FontFamily *pFf = new FontFamily(L"Arial");
	System::Drawing::Font *pFont = new System::Drawing::Font(pFf, 36, FontStyle::Bold);

	//    
	Label *pTxt1 = new Label();
	pTxt1->Text = L"Book16";
	pTxt1->Location = Point(90, 120);
	pTxt1->AutoSize = true;
	pTxt1->ForeColor = Color::Black;
	pTxt1->Font = pFont;
	Controls->Add(pTxt1);

	//    Click  
	this->Click += new EventHandler(this, &Wform16::OnClick);

	//  
	System::Windows::Forms::Timer *tm = new Timer();
	tm->Interval = 5000; //   
	tm->Tick += new EventHandler(this, &Wform16::OnTimerTick);
	tm->Enabled = true;
}

void Wform16::OnClick(Object *sender, System::EventArgs *e)
{
	//    
	Wform16::Close();
}

//    ( )  
void Wform16::OnTimerTick(Object *sender, System::EventArgs *ea)
{
	System::Windows::Forms::Timer *t1 = 
		static_cast<System::Windows::Forms::Timer*> (sender);
	//  
	t1->Stop();
	//     
	Wform16::Close();
}